Xerces-C++: PSVIAttributeStorage Class Reference

Xerces-C++ 3.3.0

Public Member Functions | Public Attributes | List of all members
PSVIAttributeStorage Class Reference

A container for the PSVI contributions to attributes that occur on a particular element. More...

`#include <xercesc/framework/psvi/PSVIAttributeList.hpp>`

Inheritance diagram for PSVIAttributeStorage:

## Public Member Functions
| PSVIAttributeStorage ()
| ~PSVIAttributeStorage ()
Public Member Functions inherited from XMemory
void * | operator new (size_t size)
| This method overrides operator new.
void * | operator new (size_t size, MemoryManager *memMgr)
| This method defines a custom operator new, that will use the provided memory manager to perform the allocation.
void * | operator new (size_t size, void *ptr)
| This method overrides placement operator new.
void | operator delete (void *p)
| This method overrides operator delete.
void | operator delete (void *p, MemoryManager *memMgr)
| This method provides a matching delete for the custom operator new.
void | operator delete (void *p, void *ptr)
| This method provides a matching delete for the placement new.

## Public Attributes
PSVIAttribute * | fPSVIAttribute
const XMLCh * | fAttributeName
const XMLCh * | fAttributeNamespace

## Additional Inherited Members
Protected Member Functions inherited from XMemory
| XMemory ()
| Protected default constructor.

## Detailed Description

A container for the PSVI contributions to attributes that occur on a particular element.

This is always owned by the parser/validator from which it is obtained. The parser/validator will specify under what conditions it may be relied upon to have meaningful contents.

## Constructor & Destructor Documentation

## ◆ PSVIAttributeStorage()

PSVIAttributeStorage::PSVIAttributeStorage | ( |  | ) |

## ◆ ~PSVIAttributeStorage()

PSVIAttributeStorage::~PSVIAttributeStorage | ( |  | ) |

## Member Data Documentation

## ◆ fAttributeName

const XMLCh* PSVIAttributeStorage::fAttributeName

Referenced by PSVIAttributeList::getPSVIAttributeToFill().

## ◆ fAttributeNamespace

const XMLCh* PSVIAttributeStorage::fAttributeNamespace

Referenced by PSVIAttributeList::getPSVIAttributeToFill().

## ◆ fPSVIAttribute

PSVIAttribute* PSVIAttributeStorage::fPSVIAttribute

Referenced by PSVIAttributeList::getPSVIAttributeToFill().

The documentation for this class was generated from the following file:

- PSVIAttributeList.hpp